1. Domains
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Domains

Check If Workspace Exists

POST
/domains/has-workspace

Verifies whether a workspace is already associated with the specified domain.#

Supports both GOOGLE and MICROSOFT workspace checks.

Request Body#

ParameterTypeRequiredDescription
domainNamestringYesThe fully qualified domain name to check for workspace association.
serviceProviderstringNoWorkspace provider to check. Allowed values: GOOGLE, MICROSOFT. Defaults to GOOGLE if not provided.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Body Params application/json

Example
{
    "domainName": "globalbrewingcompany.com",
    "serviceProvider" : "MICROSOFT"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/domains/has-workspace' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "domainName": "globalbrewingcompany.com",
    "serviceProvider" : "MICROSOFT"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Examples
{
    "status": 200,
    "message": "Workspace not exists",
    "data": null
}
🟠409Conflict
🟠422Unprocessable Entity
Modified at 2026-06-23 16:21:02
Previous
Get Single Available Domain
Next
Add domain forwarding
Built with